$(function() {
    var phoneNumberPattern = /^\+62[1-9][0-9]*$/;

    $('#phone').on('blur', function() {
        // Get the value from the input field
        var phoneNumber = $(this).val();

        // Remove underscores from the phone number (if needed)
        phoneNumber = phoneNumber.replace(/_/g, '');

        // Test the phone number against the pattern
        if (!phoneNumberPattern.test(phoneNumber)) {
            alert(phoneNumber+' Tidak boleh ada 0 (nol) setelah +62 !!!');
            location.reload(true);
        }
    });



    $("#zip").inputmask('99999');
    $("#phone").inputmask('+62999999999[9999]');

    //$('#id_province').selectpicker();

    const captcha =new Captcha($('#canvas'),{
        length:5,
        width: 200,
        height: 80,
        font: 'bold 36px Arial',
        resourceType: 'aA0', // a-lowercase letters, A-uppercase letter, 0-numbers
        resourceExtra: [],
        clickRefresh: true,
    }); 

    $("#submit").click(function(){
        const ans = captcha.valid($('#code').val());

        if(!ans){
            alert('isi Kode dgn benar');
            $("#code").val("").focus();
            return false;
        } else {
            return true;
        }
        captcha.refresh();
    });

    /* $("#is_hotel").click(function () {
        if ($(this).is(":checked")) {
            alert("Perhatian: data ini bukan sebagai Reservasi, \n Pihak hotel akan menghubungi anda lebih lanjut");
            $("#id_hotel").prop("required", "required").prop("disabled", "")
        } else {
            $("#id_hotel").prop("disabled", "disabled").prop("required", "").val("");
            $('#hotel-detail').html('&nbsp;');
        }
    });
    if ($("#is_hotel").is(":checked")) {
        $("#id_hotel").prop("required", "required").prop("disabled", "")
    } else {
        $("#id_hotel").prop("disabled", "disabled").prop("required", "").val("");
    }

    $("#id_outing").click(function () {
        if ($(this).is(":checked")) {
            $("#outing_size").prop("required", "required").prop("disabled", "");
        } else {
            $("#outing_size").prop("required", "").prop("disabled", "disabled").val("");
        }
    });
    if ($("#id_outing").is(":checked")) {
        $("#outing_size").prop("required", "required").prop("disabled", "");
    } else {
        $("#outing_size").prop("disabled", "disabled").val("");
    } */

});